Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454099 - nbd-server segfaults with bad config file
Summary: nbd-server segfaults with bad config file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nbd
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 16:03 UTC by John Smith
Modified: 2009-06-16 02:08 UTC (History)
3 users (show)

Fixed In Version: 2.9.12-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 01:21:20 UTC


Attachments (Terms of Use)

Description John Smith 2008-07-04 16:03:41 UTC
Description of problem:
nbd-server segfaults with bad config file

Version-Release number of selected component (if applicable):
nbd-2.9.7-3.fc8

How reproducible:
reproducible

Steps to Reproduce:
1. dd if=/dev/zero of=v count=1
2. nbd-server -C v
  
Actual results:
Segmentation fault

Comment 1 Bug Zapper 2008-11-26 10:57:25 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 John Smith 2008-12-08 15:52:42 UTC
Bug still present.

Comment 3 Milos Jakubicek 2009-05-13 23:24:49 UTC
This seems to be fixed in nbd 2.9.12, I'll submit updates for F-9/10/11 soon.

Comment 4 Fedora Update System 2009-05-13 23:57:54 UTC
nbd-2.9.12-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nbd-2.9.12-1.fc9

Comment 5 Fedora Update System 2009-05-14 00:01:58 UTC
nbd-2.9.12-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nbd-2.9.12-1.fc10

Comment 6 Fedora Update System 2009-05-14 00:03:28 UTC
nbd-2.9.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nbd-2.9.12-1.fc11

Comment 7 Fedora Update System 2009-05-15 23:26:22 UTC
nbd-2.9.12-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4982

Comment 8 Fedora Update System 2009-05-15 23:27:24 UTC
nbd-2.9.12-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4987

Comment 9 Fedora Update System 2009-05-15 23:33:12 UTC
nbd-2.9.12-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5030

Comment 10 Fedora Update System 2009-06-16 01:21:10 UTC
nbd-2.9.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-06-16 01:44:53 UTC
nbd-2.9.12-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-16 02:08:24 UTC
nbd-2.9.12-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.